/*
 * sturmbahnfahrer
 * (c) 2006 by Bram Stolk
 * bram at gmail.com
 * LICENSED ACCORDING TO THE GPL
 */

#include "dynamicobject.h"


DynamicObject::DynamicObject
(
  ssgEntity *model,
  dWorldID world, 
  dSpaceID bigspace
) :
WorldObject(model)
{
  // load visible model as plib entity
  trf = new ssgTransform();
  trf->addKid(model);
  name = "unnamed dynamicobject";
  entity = trf;
}


DynamicObject::~DynamicObject()
{
}


void DynamicObject::Sustain(float dt)
{
  SetTransformFromBody(trf, body);
}

